# Import modules
import os, sys

if 'ame_apy' not in sys.modules:
    try:
        from ame_apy import *
    except ImportError:
        print 'Unable to import AMESim API module.\nCheck the AME environment variable.'


# Add log file subscription
AMESubscribeToLogFile('my_first_log.log')

# Initialize API
AMEInitAPI(False)

# Open 'CentrifugalPump_out_of_date.ame' system
print ''
print 'Opening "CentrifugalPump_out_of_date.ame" system...'
AMEOpenAmeFile('CentrifugalPump_out_of_date.ame')

# Check circuit submodels if necessary

if AMEDoesNeedCheckCircuitSubmodels():
   print ''
   print 'Checking "CentrifugalPump_out_of_date" circuit submodels...'
   try:
      # Redirect the check submodels report into 'testFricion.log' file
      AMESetMessageFilter('ame_info')
      AMECheckCircuitSubmodels()
      AMESetMessageFilter('ame_warning')

      # Save as "CentrifugalPump_up_to_date"
      print ''
      print 'Saving system under "CentrifugalPump_up_to_date"...'
      AMESaveCircuitAs('CentrifugalPump_up_to_date', '', True)

   except Exception, e:
      print e
      print 'Check submodels failed. See details in "testFriction.log".'
      AMECloseCircuit(False)
      AMECloseAPI()


# Close system without saving
print ''
print 'Closing system...'
AMECloseCircuit(False)


# Terminate API session
AMECloseAPI()
